org.apache.velocity.tools.config

## Class EasyFactoryConfiguration.EasyData

- java.lang.Object
- - org.apache.velocity.tools.config.EasyFactoryConfiguration.EasyData

Enclosing class:
  EasyFactoryConfiguration

    public static class EasyFactoryConfiguration.EasyData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EasyData(Data datum, Configuration parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EasyFactoryConfiguration.EasyData` `classname(String classname)`
`EasyFactoryConfiguration.EasyData` `converter(Class clazz)`
`EasyFactoryConfiguration.EasyData` `converter(String converter)`
`Data` `getData()`
`Configuration` `getParent()`
`EasyFactoryConfiguration.EasyData` `target(Class clazz)`
`protected EasyFactoryConfiguration.EasyData` `type(Data.Type type)`
`EasyFactoryConfiguration.EasyData` `type(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EasyData

    public EasyData(Data datum,
                    Configuration parent)

### Method Detail

#### getData

    public Data getData()

#### getParent

    public Configuration getParent()

#### type

    public EasyFactoryConfiguration.EasyData type(String type)

#### type

    protected EasyFactoryConfiguration.EasyData type(Data.Type type)

#### target

    public EasyFactoryConfiguration.EasyData target(Class clazz)

#### classname

    public EasyFactoryConfiguration.EasyData classname(String classname)

#### converter

    public EasyFactoryConfiguration.EasyData converter(String converter)

#### converter

    public EasyFactoryConfiguration.EasyData converter(Class clazz)